WP5Listener Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP5Listener Class Referenceabstract

`#include <WP5Listener.h>`

Inheritance diagram for WP5Listener:

## Public Member Functions
| WP5Listener ()
virtual | ~WP5Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | setFont (const librevenge::RVNGString &fontName, double fontSize)=0
virtual void | setTabs (const std::vector< WPXTabStop > &tabStops, unsigned short tabOffset)=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertIndent (unsigned char indentType, double indentPosition)=0
virtual void | insertEOL ()=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | lineSpacingChange (double lineSpacing)=0
virtual void | justificationChange (unsigned char justification)=0
virtual void | characterColorChange (unsigned char red, unsigned char green, unsigned char blue)=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | pageMarginChange (unsigned char side, unsigned short margin)=0
virtual void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)=0
virtual void | marginChange (unsigned char side, unsigned short margin)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (unsigned char position, unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (unsigned width, unsigned leftGutter, unsigned rightGutter, unsigned attributes, unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | insertRow (unsigned short rowHeight, bool isMinimumHeight, bool isHeaderRow)=0
virtual void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, WPXVerticalAlignment cellVerticalAlignment, bool useCellAttributes, unsigned cellAttributes)=0
virtual void | endTable ()=0
virtual void | insertNoteReference (const librevenge::RVNGString &noteReference)=0
virtual void | insertNote (WPXNoteType noteType, const WP5SubDocument *subDocument)=0
virtual void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, WP5SubDocument *subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | boxOn (unsigned char positionAndType, unsigned char alignment, unsigned short width, unsigned short height, unsigned short x, unsigned short y)=0
virtual void | boxOff ()=0
virtual void | insertGraphicsData (const librevenge::RVNGBinaryData *data)=0
void | setPrefixData (WP5PrefixData *prefixData)
const WP5GeneralPacketData * | getGeneralPacketData (const int type) const

## Private Member Functions
| WP5Listener (const WP5Listener &)
WP5Listener & | operator= (const WP5Listener &)

## Private Attributes
WP5PrefixData * | m_prefixData

## Constructor & Destructor Documentation

## ◆ WP5Listener() [1/2]

WP5Listener::WP5Listener | ( |  | ) |

## ◆ ~WP5Listener()

virtual WP5Listener::~WP5Listener | ( |  | ) |
| inlinevirtual

## ◆ WP5Listener() [2/2]

WP5Listener::WP5Listener | ( | const WP5Listener & |  | ) |
| private

## Member Function Documentation

## ◆ addTableColumnDefinition()

virtual void WP5Listener::addTableColumnDefinition | ( | unsigned | width,
|  | unsigned | leftGutter,
|  | unsigned | rightGutter,
|  | unsigned | attributes,
|  | unsigned char | alignment
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5DefinitionGroup_DefineTablesSubGroup::parse().

## ◆ attributeChange()

virtual void WP5Listener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5AttributeOnGroup::parse(), and WP5AttributeOffGroup::parse().

## ◆ boxOff()

virtual void WP5Listener::boxOff | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5BoxGroup::parse().

## ◆ boxOn()

virtual void WP5Listener::boxOn | ( | unsigned char | positionAndType,
|  | unsigned char | alignment,
|  | unsigned short | width,
|  | unsigned short | height,
|  | unsigned short | x,
|  | unsigned short | y
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5BoxGroup::parse().

## ◆ characterColorChange()

virtual void WP5Listener::characterColorChange | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5FontGroup::parse().

## ◆ defineTable()

virtual void WP5Listener::defineTable | ( | unsigned char | position,
|  | unsigned short | leftOffset
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5DefinitionGroup_DefineTablesSubGroup::parse().

## ◆ endDocument()

virtual void WP5Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5Parser::parse().

## ◆ endSubDocument()

virtual void WP5Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

## ◆ endTable()

virtual void WP5Listener::endTable | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5DefinitionGroup_DefineTablesSubGroup::parse(), WP5TableEOPGroup::parse(), and WP5TableEOLGroup::parse().

## ◆ getGeneralPacketData()

const WP5GeneralPacketData * WP5Listener::getGeneralPacketData | ( | const int | type | ) | const

Referenced by WP5FontGroup::parse(), WP5BoxGroup::parse(), and WP5Parser::parse().

## ◆ headerFooterGroup()

virtual void WP5Listener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | WP5SubDocument * | subDocument
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5HeaderFooterGroup::parse().

## ◆ insertBreak()

virtual void WP5Listener::insertBreak | ( | unsigned char | breakType | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5Parser::parseDocument().

## ◆ insertCell()

virtual void WP5Listener::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | WPXVerticalAlignment | cellVerticalAlignment,
|  | bool | useCellAttributes,
|  | unsigned | cellAttributes
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5TableEOLGroup::parse().

## ◆ insertCharacter()

virtual void WP5Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5ExtendedCharacterGroup::parse(), WP5SpaceFunction::parse(), WP5HardSpaceFunction::parse(), WP5HyphenFunction::parse(), WP5SoftHyphenFunction::parse(), and WP5Parser::parseDocument().

## ◆ insertEOL()

virtual void WP5Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5EOLFunction::parse(), and WP5Parser::parseDocument().

## ◆ insertGraphicsData()

virtual void WP5Listener::insertGraphicsData | ( | const librevenge::RVNGBinaryData * | data | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5BoxGroup::parse().

## ◆ insertIndent()

virtual void WP5Listener::insertIndent | ( | unsigned char | indentType,
|  | double | indentPosition
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5IndentGroup::parse().

## ◆ insertNote()

virtual void WP5Listener::insertNote | ( | WPXNoteType | noteType,
|  | const WP5SubDocument * | subDocument
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5FootnoteEndnoteGroup::parse().

## ◆ insertNoteReference()

virtual void WP5Listener::insertNoteReference | ( | const librevenge::RVNGString & | noteReference | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5FootnoteEndnoteGroup::parse().

## ◆ insertRow()

virtual void WP5Listener::insertRow | ( | unsigned short | rowHeight,
|  | bool | isMinimumHeight,
|  | bool | isHeaderRow
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5TableEOLGroup::parse(), and WP5TableEOPGroup::parse().

## ◆ insertTab()

virtual void WP5Listener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5TabGroup::parse().

## ◆ justificationChange()

virtual void WP5Listener::justificationChange | ( | unsigned char | justification | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ lineSpacingChange()

virtual void WP5Listener::lineSpacingChange | ( | double | lineSpacing | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ marginChange()

virtual void WP5Listener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ operator=()

WP5Listener& WP5Listener::operator= | ( | const WP5Listener & |  | ) |
| private

## ◆ pageFormChange()

virtual void WP5Listener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ pageMarginChange()

virtual void WP5Listener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ setFont()

virtual void WP5Listener::setFont | ( | const librevenge::RVNGString & | fontName,
|  | double | fontSize
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5FontGroup::parse().

## ◆ setPrefixData()

void WP5Listener::setPrefixData | ( | WP5PrefixData * | prefixData | ) |
| inline

Referenced by WP5Parser::parse().

## ◆ setTabs()

virtual void WP5Listener::setTabs | ( | const std::vector< WPXTabStop > & | tabStops,
|  | unsigned short | tabOffset
| ) |  |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## ◆ startDocument()

virtual void WP5Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5Parser::parse().

## ◆ startSubDocument()

virtual void WP5Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

## ◆ startTable()

virtual void WP5Listener::startTable | ( |  | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5DefinitionGroup_DefineTablesSubGroup::parse().

## ◆ suppressPageCharacteristics()

virtual void WP5Listener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| pure virtual

Implemented in WP5ContentListener, and WP5StylesListener.

Referenced by WP5PageFormatGroup::parse().

## Member Data Documentation

## ◆ m_prefixData

WP5PrefixData* WP5Listener::m_prefixData
| private

Referenced by getGeneralPacketData(), and setPrefixData().

The documentation for this class was generated from the following files:

- WP5Listener.h
- WP5Listener.cpp